Loading...
Searching...
No Matches
tree.h File Reference

A tree container. More...

`#include "attributes.h"`

Go to the source code of this file.

## Functions

struct AVTreeNode * | av_tree_node_alloc (void)
| Allocate an AVTreeNode.
void * | av_tree_find (const struct AVTreeNode *root, void *key, int(*cmp)(const void *key, const void *b), void *next[2])
| Find an element.
void * | av_tree_insert (struct AVTreeNode **rootp, void *key, int(*cmp)(const void *key, const void *b), struct AVTreeNode **next)
| Insert or remove an element.
void | av_tree_destroy (struct AVTreeNode *t)
void | av_tree_enumerate (struct AVTreeNode *t, void *opaque, int(*cmp)(void *opaque, void *elem), int(*enu)(void *opaque, void *elem))
| Apply enu(opaque, &elem) to all the elements in the tree in a given range.

## Variables

const int | av_tree_node_size

## Detailed Description

A tree container.

Author
  Michael Niedermayer micha.nosp@m.elni.nosp@m.@gmx..nosp@m.at

Definition in file tree.h.